Subject: What do these mean?

From: "Samuel Allan" <[email-masked]>
Date: Wed, 30 Aug 2000 16:50:28 +1200

I'm a student taking a course in declarative programming, and while I 
have a study guide it doesn't seem to cover a few things.

What does this operator mean?  ->

Why did Richard O'Keefe use the two structures(?) integer(Index) and 
var(Index)?
I'm guessing to check the type of Index.

Could the combination ( integer(Index) -> blah blah ) be to sort of 
nest if statements (like the logical implication might be used)? If 
so, why use "->" instead of ","?

Shihad's Official Website - http://www.shihad.com
____________________________________________________________
Get your own Web-Based E-mail Service at http://www.zzn.com